<?php namespace Client\Request;

class RequestErrorException extends \Exception {};
class NotImplementedException extends \BadMethodCallException{}

interface RequestInterface {

    public function load(bool $force = true);
    public function get(string $s);
    public function create(...$args);
    public function patch();
    public function delete();
}

?>
